

			//actualise le chat
            function updateChat() {
                
				var xhr_object = null;
		  
		  if(window.XMLHttpRequest) // Any Browser (not IE)
        xhr_object = new XMLHttpRequest();
     else if(window.ActiveXObject) // IE
		  {
				try {
                xhr_object = new ActiveXObject("Msxml2.XMLHTTP");
				}
				catch (e) {
                xhr_object = new ActiveXObject("Microsoft.XMLHTTP");
					}
			}
	 
        //xhr_object = new ActiveXObject("Microsoft.XMLHTTP");
     else
        return("Cette structure ne supporte pas les fonctoins AJAX, veuillez contacter l'administrateur");
		//xhr_object = false;
				
				
                    //var XHR = new XMLHttpRequest();
                    xhr_object.open('GET', 'update_chat.php');
                    xhr_object.onreadystatechange = function() {
                        if(xhr_object.readyState == 4)
						{
                            var msg = xhr_object.responseText;
                            if (msg != '') { //si la réponse du script n'est pas vide
                                document.getElementById('rafraichir').innerHTML = msg; //change le contenu du <div>
                            }
                        }
                    }
                             xhr_object.send(null);
                
            }
           
            //appelle la fontion updateChat() à intervalle de temps régulier
            function callUpdateChat() {
                updateChat(); //actualise le chat
                setTimeout("callUpdateChat()", 2000); //appelle la fonction toutes les 20 secondes
            }
  
			// recuperation des destinataires - message prive
			function traitement(){
 
					var x = document.getElementById("membres");
					var str = document.getElementById("msg").value;
					var longueur_msg = str.length;
					var tableau = new Array();
			
					for (i=0;i<x.length;i++)
					    {
						   if(x.options[i].selected)		
						   {
							  tableau[tableau.length] = x.options[i].value;
						   }	   
					    }
			
					var nbr_destinataire = tableau.length;
					
					if(longueur_msg == 0 && nbr_destinataire == 0)
					{  alert("Aucun message et aucun destinataire !");
					   document.getElementById("action").value = 'none';
					}
					
					if(longueur_msg != 0 && nbr_destinataire == 0)
					{  alert("Aucun destinataire !");
					   document.getElementById("action").value = 'none';
					}
					
					if(longueur_msg == 0 && nbr_destinataire != 0)
					{  alert("Aucun message !");
					   document.getElementById("action").value = 'none';
					}
					
					if(longueur_msg != 0 && nbr_destinataire != 0)
					{  document.getElementById("destinataire").value =  tableau.join();
					   document.getElementById("action").value = 'chat';
					}
			
					/*		if(nbr_destinataire != 0)
							{
					         document.getElementById("destinataire").value =  tableau.join();
							 document.getElementById("action").value = 'chat';
							 }
							
							if(nbr_destinataire == 0)
							{
					          alert("Vous devez choisir au moins un destinataire pour envoyer un message !");
							  document.getElementById("action").value = 'none';
					        }*/
					 
			}
  
